Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets
Class SplitButton

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.gwtext.client.widgets.Component
                  com.gwtext.client.widgets.Button
                      com.gwtext.client.widgets.SplitButton

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener, Observable

Direct Known Subclasses:
  CycleButton, ToolbarMenuButton

    public class SplitButton

extends Button

A split button that provides a built-in dropdown arrow that can fire an event separately from the default click event of the button. Typically this would be used to display a dropdown menu that provides additional options to the primary button action, but any custom handler can provide the arrowclick implementation.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.gwtext.client.widgets.Component
`config, id`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`SplitButton()` Create a new SplitButton.
`SplitButton(com.google.gwt.core.client.JavaScriptObject jsObj)`
`SplitButton(java.lang.String text)` Create a new SplitButton.
`SplitButton(java.lang.String text, SplitButtonListener listener)` Create a new SplitButton.
`SplitButton(java.lang.String text, SplitButtonListener listener, java.lang.String icon)` Create a new SplitButton.

Method Summary
`void` | `addListener(SplitButtonListener listener)` Add a listener.
`protected com.google.gwt.core.client.JavaScriptObject` | `create(com.google.gwt.core.client.JavaScriptObject config)`
`java.lang.String` | `getArrowTooltip()` The title attribute of the arrow.
`java.lang.String` | `getXType()` Gets the xtype for this component as registered with ComponentMgr.
`void` | `setArrowTooltip(java.lang.String arrowTooltip)` The title attribute of the arrow.

Methods inherited from class com.gwtext.client.widgets.Button
`addListener, focus, getBindToForm, getButtonElement, getClickEvent, getConfigPrototype, getHandleMouseEvents, getIcon, getIconCls, getMenuAlign, getMinWidth, getOwnerCt, getTabIndex, getText, getToggleGroup, getTooltip, getTooltipType, getType, hasVisibleMenu, hideMenu, isDisabled, isEnableToggle, isPressed, isRepeat, setClickEvent, setEnableToggle, setFormBind, setHandleMouseEvents, setHidden, setIcon, setIconCls, setMenu, setMenuAlign, setMinWidth, setPressed, setRepeat, setRepeat, setTabIndex, setTemplate, setText, setToggleGroup, setTooltip, setTooltip, setTooltip, setTooltipType, setType, showMenu, toggle, toggle`

Methods inherited from class com.gwtext.client.widgets.Component
`addClass, addClassCreated, addEvent, addEvents, addListener, addListener, addListener, addPlugin, addStyleDependentName, addStyleName, afterRender, beforeDestroy, check, checkExtVer, cloneComponent, cloneComponent, cloneConfig, destroy, disable, enable, equals, error, findParentBy, findParentByType, fireEvent, focus, focus, getApplyTo, getAttribute, getAttributeAsBoolean, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAutoShow, getCls, getComponentJS, getConfig, getConfigAsString, getCtCls, getDisabledClass, getEl, getElement, getElement, getElement, getHideMode, getHideParent, getId, getItemId, getJsObj, getOffsetHeight, getOffsetWidth, getOrCreateJsObj, getOwnerContainer, getRenderTo, getStateEvents, getStateId, getTitle, getXTypes, hashCode, hide, initComponent, isCreated, isHidden, isRendered, isVisible, isXType, isXType, onDestroy, purgeListeners, removeClass, removeStyleDependentName, removeStyleName, render, render, render, render, render, render, resumeEvents, setApplyTo, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoEl, setAutoEl, setAutoShow, setCls, setCtCls, setDisabled, setDisabledClass, setEl, setEl, setElement, setHeight, setHideMode, setHideParent, setId, setRenderTo, setRenderToID, setStateEvents, setStateId, setStyle, setStyle, setStyleName, setStylePrimaryName, setTitle, setVisible, setWidth, show, suspendEvents, toString`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`doAttachChildren, doDetachChildren, getParent, isAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, setElement, setPixelSize, setSize, setStyleName, setStyleName, setStylePrimaryName, setVisible, sinkEvents, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SplitButton

    public SplitButton()

  Create a new SplitButton.

### SplitButton

    public SplitButton(java.lang.String text)

  Create a new SplitButton.

  Parameters:
    `text` - the button text

### SplitButton

    public SplitButton(java.lang.String text,
                       SplitButtonListener listener)

  Create a new SplitButton.

  Parameters:
    `text` - the button text
    `listener` - the button listener

### SplitButton

    public SplitButton(java.lang.String text,
                       SplitButtonListener listener,
                       java.lang.String icon)

  Create a new SplitButton.

  Parameters:
    `text` - the button text
    `listener` - the button listener
    `icon` - the button icon image path

### SplitButton

    public SplitButton(com.google.gwt.core.client.JavaScriptObject jsObj)

Method Detail

### getXType

    public java.lang.String getXType()

  Description copied from class: `Component`
  Gets the xtype for this component as registered with ComponentMgr. For a list of all available xtypes, see the Component javadocs.

       TextField field = new TextField();
       field.getXType() returns "textfield"

  Overrides:
    `getXType` in class `Button`
  Returns:
    the xtype

### create

    protected com.google.gwt.core.client.JavaScriptObject create(com.google.gwt.core.client.JavaScriptObject config)

  Overrides:
    `create` in class `Button`

### addListener

    public void addListener(SplitButtonListener listener)

  Add a listener.

  Parameters:
    `listener` - the listener

### setArrowTooltip

    public void setArrowTooltip(java.lang.String arrowTooltip)
                         throws java.lang.IllegalStateException

  The title attribute of the arrow.

  Parameters:
    `arrowTooltip` - the arrow tooltip
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### getArrowTooltip

    public java.lang.String getArrowTooltip()

  The title attribute of the arrow.

  Returns:
    the title attribute of the arrow.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD